Commit 4a3104bf authored by Vlad Zahorodnii's avatar Vlad Zahorodnii
Browse files

don't override m_canUseMipmaps

Summary:
Seems like this override/assignment was introduced in edb0751c.

Following that commit, 450be6a3 introduced `levels` param
so we could tell whether mipmaps are going to be used. And it seems like this assignment
hadn't been deleted in that commit.

Reviewers: #kwin, fredrik

Reviewed By: fredrik

Subscribers: kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D11301
parent ab18007d
......@@ -201,7 +201,6 @@ GLTexture::GLTexture(GLenum internalFormat, int width, int height, int levels)
d->m_size = QSize(width, height);
d->m_canUseMipmaps = levels > 1;
d->m_mipLevels = levels;
d->m_canUseMipmaps = true;
d->m_filter = levels > 1 ? GL_NEAREST_MIPMAP_LINEAR : GL_NEAREST;
d->updateMatrix();
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment